org.eclipse.net4j.util.om.monitor

## Class EclipseMonitor

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.AbstractMonitor
  - - org.eclipse.net4j.util.om.monitor.Monitor
    - - org.eclipse.net4j.util.om.monitor.EclipseMonitor

- All Implemented Interfaces:
    OMMonitor, OMMonitorProgress

      public class EclipseMonitor
      extends Monitor

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EclipseMonitor.SynchronizedSubProgressMonitor` A sub progress monitor that synchronizes all methods on the parent monitor instance.

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `AbstractMonitor.AsyncTimerTask`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `OMMonitor.Async`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.om.monitor.Monitor

      `DEFAULT_ASYNC_SCHEDULE_PERIOD`

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `DEFAULT_TIME_FACTOR, THOUSAND`

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

      `HUNDRED, ONE, TEN, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseMonitor()`
    `EclipseMonitor(IProgressMonitor progressMonitor)`
    `EclipseMonitor(IProgressMonitor progressMonitor, String taskName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMMonitor` | `begin(double totalWork)`
    `static OMMonitor` | `convert(IProgressMonitor progressMonitor)`
    `void` | `done()`
    `String` | `getTaskName()`
    `boolean` | `isCanceled()`
    `static OMMonitor` | `safe(IProgressMonitor progressMonitor)`
    `void` | `worked(double work)`

    - ### Methods inherited from class org.eclipse.net4j.util.om.monitor.Monitor

      `cancel, cancel, checkCanceled, getAsyncSchedulePeriod, getTimer, scheduleAtFixedRate`

    - ### Methods inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `begin, createAsyncTimerTask, createNestedMonitor, fork, fork, forkAsync, forkAsync, getTotalWork, getWork, getWorkPercent, hasBegun, percent, worked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseMonitor

          public EclipseMonitor(IProgressMonitor progressMonitor,
                                String taskName)

    - #### EclipseMonitor

          public EclipseMonitor(IProgressMonitor progressMonitor)

    - #### EclipseMonitor

          public EclipseMonitor()

      Since:
        3.6

  - ### Method Detail

    - #### getTaskName

          public String getTaskName()

    - #### isCanceled

          public boolean isCanceled()

      Specified by:
        `isCanceled` in interface `OMMonitor`
      Overrides:
        `isCanceled` in class `Monitor`

    - #### begin

          public OMMonitor begin(double totalWork)
                          throws MonitorCanceledException

      Specified by:
        `begin` in interface `OMMonitor`
      Overrides:
        `begin` in class `AbstractMonitor`
      Throws:
        `MonitorCanceledException`

    - #### worked

          public void worked(double work)
                      throws MonitorCanceledException

      Specified by:
        `worked` in interface `OMMonitor`
      Overrides:
        `worked` in class `AbstractMonitor`
      Throws:
        `MonitorCanceledException`

    - #### done

          public void done()

      Specified by:
        `done` in interface `OMMonitor`
      Overrides:
        `done` in class `AbstractMonitor`

    - #### convert

          public static OMMonitor convert(IProgressMonitor progressMonitor)

      Since:
        3.6

    - #### safe

          public static OMMonitor safe(IProgressMonitor progressMonitor)

      Since:
        3.6

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html